Name: play2
Cartridge-Short-Name: Play2
Display-Name: Play Framework 2.5.0
Description: "The High Velocity Web Framework For Java and Scala"
Version: '2.5.0'
Source-Url: https://github.com/tyrcho/openshift-cartridge-play2.git
License: "MIT"
License-Url: http://www.gnu.org/copyleft/lesser.txt
Vendor: none
Cartridge-Version: '2.5.0'
Cartridge-Vendor: github
Website: https://github.com/tyrcho/openshift-cartridge-play2
Help-Topics:
  "Developer Center": https://www.openshift.com/developers
Categories:
  - service
  - play
  - scala
  - web_framework
  - activator
Provides:
  - play2
  - activator
Scaling:
  Min: 1
  Max: -1
Cart-Data:
  - Key: OPENSHIFT_PLAY2_LOG_DIR
    Type: environment
    Description: "Directory to store application log files."
  - Key: OPENSHIFT_TMP_DIR
    Type: environment
    Description: "Directory to store application temporary files."
  - Key: OPENSHIFT_REPO_DIR
    Type: environment
  - Key: OPENSHIFT_PLAY2_PORT
    Type: environment
    Description: "Internal port to which the web-framework binds to."
  - Key: OPENSHIFT_PLAY2_IP
    Type: environment
    Description: "Internal IP to which the web-framework binds to."
  - Key: OPENSHIFT_APP_DNS
    Type: environment
    Description: "Fully qualified domain name for the application."
  - Key: OPENSHIFT_APP_NAME
    Type: environment
    Description: "Application name"
  - Key: OPENSHIFT_DATA_DIR
    Type: environment
    Description: "Directory to store application data files. Preserved across git-pushes. Not shared across gears."
  - Key: OPENSHIFT_APP_UUID
    Type: environment
    Description: "Unique ID which identified the application. Does not change between gears."
  - Key: OPENSHIFT_GEAR_UUID
    Type: environment
    Description: "Unique ID which identified the gear. This value changes between gears."
Group-Overrides:
  - components:
    - play2
    - activator
    - web_proxy
Publishes:
  get-doc-root:
    Type: "FILESYSTEM:doc-root"
  publish-http-url:
    Type: "NET_TCP:httpd-proxy-info"
  publish-gear-endpoint:
    Type: "NET_TCP:gear-endpoint-info"
Subscribes:
  set-db-connection-info:
    Type: "ENV:NET_TCP:db:connection-info"
    Required: false
  set-nosql-db-connection-info:
    Type: "ENV:NET_TCP:nosqldb:connection-info"
    Required : false
Endpoints:
  - Private-IP-Name:   IP
    Private-Port-Name: PORT
    Private-Port:      8080
    Public-Port-Name:  PROXY_PORT
    Mappings:
      - Frontend:      ""
        Backend:       ""
        Options:       { websocket: true }
      - Frontend:      "/health"
        Backend:       ""
        Options:       { health: true }
